Skip to main content
`Ctrl`+`K`

# KSPGUESSPOD

Implements a proper orthogonal decomposition based Galerkin scheme for repeated linear system solves.

## Options Database Keys

- -ksp_guess_pod_size <size> - Number of snapshots

- -ksp_guess_pod_monitor <true or false> - Monitor initial guess generator

- -ksp_guess_pod_tol <tol> - Tolerance to retain eigenvectors

- -ksp_guess_pod_Ainner <true> - Use the operator as inner product (must be SPD)

## Note

The initial guess is obtained by solving a small and dense linear system, obtained by Galerkin projection on a lower dimensional space generated by the previous solutions as presented in [Vol13].

## References

[Vol13]

Stefan Volkwein. Proper orthogonal decomposition: theory and reduced-order modelling. Lecture Notes, University of Konstanz, 4(4):1–29, 2013. URL: http://www.math.uni-konstanz.de/numerik/personen/volkwein/teaching/POD-Book.pdf.

## See Also

KSP: Linear System Solvers, `KSPGuess`, `KSPGuessType`, `KSPGuessCreate()`, `KSPSetGuess()`, `KSPGetGuess()`

## Level

intermediate

## Location

src/ksp/ksp/guess/impls/pod/pod.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages